<?php

namespace Garradin;

use Garradin\Plugin\RecusFiscaux\HtmlPDF;
use Garradin\Plugin\RecusFiscaux\Utils;
use Garradin\Plugin\RecusFiscaux\Personne;

// récupérer les lignes sélectionnées
$lesLignes = f('selected');

// filtrer les versements sélectionnés
$versementsSelectionnes = array();
foreach ($lesLignes as $ligne) {
    $versementsSelectionnes[] = $_SESSION['lesVersementsTotaux'][$ligne];
}

// générer les reçus
$nomAsso = Utils::getNomAsso();
$adresseAsso = Utils::getAdresseAsso();

$logoCERFA = PLUGIN_ROOT . "/data/logoCerfa.png";
$signature = PLUGIN_ROOT . "/data/default_signature.png";
$listeFichiers = [];

foreach ($versementsSelectionnes as $ligne)
{
    // générer un fichier par reçu
    $pdf = new HtmlPDF(
        $nomAsso,
        $adresseAsso,
        $plugin->getConfig('objet_asso'),
        $logoCERFA,
        $signature
    );

    // extraire les montants des versements
    $lesMontants[$_SESSION['taux_reduction']] = $ligne->versement/100;
    $pdf->imprimer_recu(
        $_SESSION['annee_recu'],
        $ligne->idUser,
        $_SESSION['membresDonateurs'][$ligne->idUser]->nomPrenom,
        $lesMontants,
        $_SESSION['membresDonateurs'][$ligne->idUser]->adresse,
        $_SESSION['membresDonateurs'][$ligne->idUser]->codePostal,
        $_SESSION['membresDonateurs'][$ligne->idUser]->ville
    );
    // fabriquer le fichier PDF
    $nomFichier = \Garradin\Utils::filePDF($pdf->get());
    // ajouter le nom du fichier à la liste pour mettre dans une archive
    $listeFichiers[] = $nomFichier;
}

// faire une archive zip
$fichierZip = Utils::makeArchive(
    $listeFichiers,
    $_SESSION['annee_recu'],
    PLUGIN_ROOT . "/zip"
);

